# DACreateGlobalVector

Creates a parallel PETSc vector that may be used with the DAXXX routines.

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DACreateGlobalVector(DA da,Vec* g)

Collective on DA

### Input Parameter

da -the distributed array

### Output Parameter

g -the distributed global vector

### Note

The output parameter, g, is a regular PETSc vector that should be destroyed with a call to VecDestroy() when usage is finished.

### Keywords

distributed array, create, global, distributed, vector

### See Also

DACreateLocalVector(), VecDuplicate(), VecDuplicateVecs(),
DACreate1d(), DACreate2d(), DACreate3d(), DAGlobalToLocalBegin(), DAGlobalToLocalEnd(), DALocalToGlobal(), DACreateNaturalVector()

Level:beginner
Location:src/dm/da/src/dadist.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex14f.F.html
src/snes/examples/tutorials/ex3.c.html
src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex14.c.html
src/snes/examples/tutorials/ex26.c.html
src/snes/examples/tutorials/ex5f.F.html
src/snes/examples/tutorials/ex5f90.F.html
src/ts/examples/tutorials/ex2.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex7.c.html
src/ts/examples/tutorials/ex2f.F.html